/*
Generated at 11/1/2002 4:31:42 PM by Interbase DataPump v 3.4
Please visit IB DataPump home/support page at http://www.clevercomponents.com

To execute this script:
1. Run IBConsole (or simular Interbase/Firebird tool which can execute srcipts)
2. Go to menu Tools->Interactive SQL 
3. Now in Interactive SQL window menu Query->Load Script select script created by IB DataPump
4. Once script loaded go to menu Query->Execute.
*/

 /* Select Option - select * from "A Table" */
 /* Option "Quote Field Names" is ON */
 /* Option "Copy Indexes and Primary Constraints" is ON */
 /* Option "Create Generators For AutoInc Fields" is ON */
 /* Option "Copy Defaults and Validity Checks (Paradox, dBase)" is ON */
 /* Option "Copy Referential Integrity (Paradox, dBase only)" is ON */

/* For Interbase versions less than 6.0 you might need to delete next line. */
SET SQL DIALECT 3;

CREATE DATABASE 'E:\IBDataPump\BDEtoIB.gdb' USER 'SYSDBA' PASSWORD 'masterkey';

CREATE DOMAIN T_YESNO AS CHAR(1) DEFAULT 'N' CHECK((VALUE IS NULL) OR (VALUE IN ('N','Y')));

/* Original table name is "animals.dbf" */
CREATE TABLE "ANIMALS" (
  "NAME" VARCHAR(10) /* "NAME" */ ,
  "SIZE" SMALLINT /* "SIZE" */ ,
  "WEIGHT" SMALLINT /* "WEIGHT" */ ,
  "AREA" VARCHAR(20) /* "AREA" */ ,
  "BMP" BLOB /* "BMP" */
);

    /* Indexes for table "animals.dbf" */
    /* Found Index "NAME", Options [] */
    CREATE INDEX "NAME" ON "ANIMALS" "NAME";

/* Original table name is "biolife.db" */
CREATE TABLE "BIOLIFE" (
  "SPECIESNO" FLOAT NOT NULL /* "Species No" */ ,
  "CATEGORY" VARCHAR(15) /* "Category" */ ,
  "COMMON_NAME" VARCHAR(30) /* "Common_Name" */ ,
  "SPECIESNAME" VARCHAR(40) /* "Species Name" */ ,
  "LENGTHCM" FLOAT /* "Length (cm)" */ ,
  "LENGTH_IN" FLOAT /* "Length_In" */ ,
  "NOTES" BLOB SUB_TYPE 1 /* "Notes" */ ,
  "GRAPHIC" BLOB /* "Graphic" */
);

    /* Indexes for table "biolife.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "BIOLIFE" ADD CONSTRAINT "BIOLIFE_PRIMARY" PRIMARY KEY ("SPECIESNO");

/* Original table name is "clients.dbf" */
CREATE TABLE "CLIENTS" (
  "LAST_NAME" VARCHAR(20) /* "LAST_NAME" */ ,
  "FIRST_NAME" VARCHAR(20) /* "FIRST_NAME" */ ,
  "ACCT_NBR" FLOAT /* "ACCT_NBR" */ ,
  "ADDRESS_1" VARCHAR(20) /* "ADDRESS_1" */ ,
  "CITY" VARCHAR(20) /* "CITY" */ ,
  "STATE" CHAR(2) /* "STATE" */ ,
  "ZIP" VARCHAR(5) /* "ZIP" */ ,
  "TELEPHONE" VARCHAR(12) /* "TELEPHONE" */ ,
  "DATE_OPEN" DATE /* "DATE_OPEN" */ ,
  "SS_NUMBER" FLOAT /* "SS_NUMBER" */ ,
  "PICTURE" VARCHAR(15) /* "PICTURE" */ ,
  "BIRTH_DATE" DATE /* "BIRTH_DATE" */ ,
  "RISK_LEVEL" VARCHAR(8) /* "RISK_LEVEL" */ ,
  "OCCUPATION" VARCHAR(20) /* "OCCUPATION" */ ,
  "OBJECTIVES" VARCHAR(10) /* "OBJECTIVES" */ ,
  "INTERESTS" VARCHAR(120) /* "INTERESTS" */ ,
  "IMAGE" BLOB /* "IMAGE" */
);

/* Original table name is "country.db" */
CREATE TABLE "COUNTRY" (
  "NAME" VARCHAR(24) NOT NULL /* "Name" */ ,
  "CAPITAL" VARCHAR(24) /* "Capital" */ ,
  "CONTINENT" VARCHAR(24) /* "Continent" */ ,
  "AREA" FLOAT /* "Area" */ ,
  "POPULATION" FLOAT /* "Population" */
);

    /* Indexes for table "country.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "COUNTRY" ADD CONSTRAINT "COUNTRY_PRIMARY" PRIMARY KEY ("NAME");

/* Original table name is "custoly.db" */
CREATE TABLE "CUSTOLY" (
  "CUSTNO" INTEGER NOT NULL /* "CustNo" */ ,
  "LAST_NAME" VARCHAR(30) /* "Last_Name" */ ,
  "FIRST_NAME" VARCHAR(30) /* "First_Name" */ ,
  "VIP_STATUS" VARCHAR(10) /* "VIP_Status" */ ,
  "ADDRESS1" VARCHAR(40) /* "Address1" */ ,
  "ADDRESS2" VARCHAR(40) /* "Address2" */ ,
  "CITY" VARCHAR(20) /* "City" */ ,
  "STATEPROV" VARCHAR(10) /* "State/Prov" */ ,
  "POST_CODE" VARCHAR(10) /* "Post_Code" */ ,
  "COUNTRY" VARCHAR(10) /* "Country" */ ,
  "PHONE" VARCHAR(18) /* "Phone" */ ,
  "FAX" VARCHAR(18) /* "Fax" */ ,
  "EMAIL" VARCHAR(40) /* "EMail" */ ,
  "REMARKS" BLOB SUB_TYPE 1 /* "Remarks" */
);

    /* Indexes for table "custoly.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "CUSTOLY" ADD CONSTRAINT "CUSTOLY_PRIMARY" PRIMARY KEY ("CUSTNO");
    /* Found Index "Names", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "Names", Options [ixCaseInsensitive] */
    CREATE INDEX "NAMES" ON "CUSTOLY" "LAST_NAME","FIRST_NAME";
    /* Found Index "City", Options [] */
    CREATE INDEX "CITY" ON "CUSTOLY" "CITY";

    /* Generators for AutoInc fields for table "custoly.db" */
    /* SELECT  max("custoly.db"."CustNo") FROM "custoly.db" */

    CREATE GENERATOR "GEN_CUSTOLY_CUSTNO";
        SET GENERATOR "GEN_CUSTOLY_CUSTNO" TO 30;

    SET TERM ^;
    CREATE TRIGGER "TRIG_CUSTOLY_BI" FOR "CUSTOLY" BEFORE INSERT
    AS BEGIN
      IF(NEW."CUSTNO" IS NULL) THEN NEW."CUSTNO" = GEN_ID("GEN_CUSTOLY_CUSTNO",1);
    END ^
    SET TERM ;^

/* Original table name is "customer.db" */
CREATE TABLE "CUSTOMER" (
  "CUSTNO" FLOAT NOT NULL /* "CustNo" */ ,
  "COMPANY" VARCHAR(30) /* "Company" */ ,
  "ADDR1" VARCHAR(30) /* "Addr1" */ ,
  "ADDR2" VARCHAR(30) /* "Addr2" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "STATE" VARCHAR(20) /* "State" */ ,
  "ZIP" VARCHAR(10) /* "Zip" */ ,
  "COUNTRY" VARCHAR(20) /* "Country" */ ,
  "PHONE" VARCHAR(15) /* "Phone" */ ,
  "FAX" VARCHAR(15) /* "FAX" */ ,
  "TAXRATE" FLOAT /* "TaxRate" */ ,
  "CONTACT" VARCHAR(20) /* "Contact" */ ,
  "LASTINVOICEDATE" TIMESTAMP /* "LastInvoiceDate" */
);

    /* Indexes for table "customer.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "CUSTOMER" ADD CONSTRAINT "CUSTOMER_PRIMARY" PRIMARY KEY ("CUSTNO");
    /* Found Index "ByCompany", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "ByCompany", Options [ixCaseInsensitive] */
    CREATE INDEX "BYCOMPANY" ON "CUSTOMER" "COMPANY";

/* Original table name is "employee.db" */
CREATE TABLE "EMPLOYEE" (
  "EMPNO" INTEGER NOT NULL /* "EmpNo" */ ,
  "LASTNAME" VARCHAR(20) /* "LastName" */ ,
  "FIRSTNAME" VARCHAR(15) /* "FirstName" */ ,
  "PHONEEXT" CHAR(4) /* "PhoneExt" */ ,
  "HIREDATE" TIMESTAMP /* "HireDate" */ ,
  "SALARY" FLOAT /* "Salary" */
);

    /* Indexes for table "employee.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "EMPLOYEE" ADD CONSTRAINT "EMPLOYEE_PRIMARY" PRIMARY KEY ("EMPNO");
    /* Found Index "ByName", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "ByName", Options [ixCaseInsensitive] */
    CREATE INDEX "BYNAME" ON "EMPLOYEE" "LASTNAME","FIRSTNAME";

    /* Generators for AutoInc fields for table "employee.db" */
    /* SELECT  max("employee.db"."EmpNo") FROM "employee.db" */

    CREATE GENERATOR "GEN_EMPLOYEE_EMPNO";
        SET GENERATOR "GEN_EMPLOYEE_EMPNO" TO 145;

    SET TERM ^;
    CREATE TRIGGER "TRIG_EMPLOYEE_BI" FOR "EMPLOYEE" BEFORE INSERT
    AS BEGIN
      IF(NEW."EMPNO" IS NULL) THEN NEW."EMPNO" = GEN_ID("GEN_EMPLOYEE_EMPNO",1);
    END ^
    SET TERM ;^

/* Original table name is "events.db" */
CREATE TABLE "EVENTS" (
  "EVENTNO" INTEGER NOT NULL /* "EventNo" */ ,
  "VENUENO" INTEGER /* "VenueNo" */ ,
  "EVENT_NAME" VARCHAR(30) /* "Event_Name" */ ,
  "EVENT_DATE" DATE /* "Event_Date" */ ,
  "EVENT_TIME" TIME /* "Event_Time" */ ,
  "EVENT_DESCRIPTION" BLOB SUB_TYPE 1 /* "Event_Description" */ ,
  "TICKET_PRICE" NUMERIC(15,4) /* "Ticket_price" */ ,
  "EVENT_PHOTO" BLOB /* "Event_Photo" */
);

    /* Indexes for table "events.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "EVENTS" ADD CONSTRAINT "EVENTS_PRIMARY" PRIMARY KEY ("EVENTNO");
    /* Found Index "Date_Time", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "Date_Time", Options [ixCaseInsensitive] */
    CREATE INDEX "DATE_TIME" ON "EVENTS" "EVENT_NAME","EVENT_DATE";

    /* Generators for AutoInc fields for table "events.db" */
    /* SELECT  max("events.db"."EventNo") FROM "events.db" */

    CREATE GENERATOR "GEN_EVENTS_EVENTNO";
        SET GENERATOR "GEN_EVENTS_EVENTNO" TO 23;

    SET TERM ^;
    CREATE TRIGGER "TRIG_EVENTS_BI" FOR "EVENTS" BEFORE INSERT
    AS BEGIN
      IF(NEW."EVENTNO" IS NULL) THEN NEW."EVENTNO" = GEN_ID("GEN_EVENTS_EVENTNO",1);
    END ^
    SET TERM ;^

/* Original table name is "holdings.dbf" */
CREATE TABLE "HOLDINGS" (
  "ACCT_NBR" FLOAT /* "ACCT_NBR" */ ,
  "SYMBOL" VARCHAR(7) /* "SYMBOL" */ ,
  "SHARES" FLOAT /* "SHARES" */ ,
  "PUR_PRICE" FLOAT /* "PUR_PRICE" */ ,
  "PUR_DATE" DATE /* "PUR_DATE" */
);

    /* Indexes for table "holdings.dbf" */
    /* Found Index "SYMBOL", Options [] */
    CREATE INDEX "SYMBOL" ON "HOLDINGS" "SYMBOL";
    /* Found Index "ACCT_NBR", Options [] */
    CREATE INDEX "ACCT_NBR" ON "HOLDINGS" "ACCT_NBR";

/* Original table name is "industry.dbf" */
CREATE TABLE "INDUSTRY" (
  "IND_CODE" SMALLINT /* "IND_CODE" */ ,
  "IND_NAME" VARCHAR(5) /* "IND_NAME" */ ,
  "LONG_NAME" VARCHAR(20) /* "LONG_NAME" */
);

    /* Indexes for table "industry.dbf" */
    /* Found Index "IND_CODE", Options [] */
    CREATE INDEX "IND_CODE" ON "INDUSTRY" "IND_CODE";

/* Original table name is "items.db" */
CREATE TABLE "ITEMS" (
  "ORDERNO" FLOAT NOT NULL /* "OrderNo" */ ,
  "ITEMNO" FLOAT NOT NULL /* "ItemNo" */ ,
  "PARTNO" FLOAT /* "PartNo" */ ,
  "QTY" INTEGER /* "Qty" */ ,
  "DISCOUNT" FLOAT /* "Discount" */
);

    /* Indexes for table "items.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "ITEMS" ADD CONSTRAINT "ITEMS_PRIMARY" PRIMARY KEY ("ORDERNO","ITEMNO");
    /* Found Index "ByOrderNo", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "ByOrderNo", Options [ixCaseInsensitive] */
    CREATE INDEX "BYORDERNO" ON "ITEMS" "ORDERNO";
    /* Found Index "PartNo", Options [] */
    CREATE INDEX "PARTNO" ON "ITEMS" "PARTNO";

/* Original table name is "master.dbf" */
CREATE TABLE "MASTER" (
  "SYMBOL" VARCHAR(7) /* "SYMBOL" */ ,
  "CO_NAME" VARCHAR(20) /* "CO_NAME" */ ,
  "EXCHANGE" VARCHAR(8) /* "EXCHANGE" */ ,
  "CUR_PRICE" FLOAT /* "CUR_PRICE" */ ,
  "YRL_HIGH" FLOAT /* "YRL_HIGH" */ ,
  "YRL_LOW" FLOAT /* "YRL_LOW" */ ,
  "P_E_RATIO" FLOAT /* "P_E_RATIO" */ ,
  "BETA" FLOAT /* "BETA" */ ,
  "PROJ_GRTH" FLOAT /* "PROJ_GRTH" */ ,
  "INDUSTRY" SMALLINT /* "INDUSTRY" */ ,
  "PRICE_CHG" SMALLINT /* "PRICE_CHG" */ ,
  "SAFETY" SMALLINT /* "SAFETY" */ ,
  "RATING" CHAR(4) /* "RATING" */ ,
  "RANK" FLOAT /* "RANK" */ ,
  "OUTLOOK" SMALLINT /* "OUTLOOK" */ ,
  "RCMNDATION" VARCHAR(5) /* "RCMNDATION" */ ,
  "RISK" CHAR(4) /* "RISK" */
);

    /* Indexes for table "master.dbf" */
    /* Found Index "SYMBOL", Options [ixUnique] */
    /* !  Warning: Duplicated Index Name Found - SYMBOL , Replaced To "SYMBOL1" */
    CREATE UNIQUE INDEX "SYMBOL1" ON "MASTER" "SYMBOL";
    /* Found Index "GROWTHASC", Options [] */
    CREATE INDEX "GROWTHASC" ON "MASTER" "PROJ_GRTH";
    /* Found Index "GROWTHDESC", Options [ixDescending] */
    CREATE DESCENDING INDEX "GROWTHDESC" ON "MASTER" "PROJ_GRTH";

/* Original table name is "nextcust.db" */
CREATE TABLE "NEXTCUST" (
  "NEWCUST" FLOAT /* "NewCust" */
);

/* Original table name is "nextitem.db" */
CREATE TABLE "NEXTITEM" (
  "NEWKEY" FLOAT /* "NewKey" */
);

/* Original table name is "nextord.db" */
CREATE TABLE "NEXTORD" (
  "NEWKEY" FLOAT /* "NewKey" */
);

/* Original table name is "orders.db" */
CREATE TABLE "ORDERS" (
  "ORDERNO" FLOAT NOT NULL /* "OrderNo" */ ,
  "CUSTNO" FLOAT NOT NULL /* "CustNo" */ ,
  "SALEDATE" TIMESTAMP /* "SaleDate" */ ,
  "SHIPDATE" TIMESTAMP /* "ShipDate" */ ,
  "EMPNO" INTEGER NOT NULL /* "EmpNo" */ ,
  "SHIPTOCONTACT" VARCHAR(20) /* "ShipToContact" */ ,
  "SHIPTOADDR1" VARCHAR(30) /* "ShipToAddr1" */ ,
  "SHIPTOADDR2" VARCHAR(30) /* "ShipToAddr2" */ ,
  "SHIPTOCITY" VARCHAR(15) /* "ShipToCity" */ ,
  "SHIPTOSTATE" VARCHAR(20) /* "ShipToState" */ ,
  "SHIPTOZIP" VARCHAR(10) /* "ShipToZip" */ ,
  "SHIPTOCOUNTRY" VARCHAR(20) /* "ShipToCountry" */ ,
  "SHIPTOPHONE" VARCHAR(15) /* "ShipToPhone" */ ,
  "SHIPVIA" VARCHAR(7) /* "ShipVIA" */ ,
  "PO" VARCHAR(15) /* "PO" */ ,
  "TERMS" VARCHAR(6) /* "Terms" */ ,
  "PAYMENTMETHOD" VARCHAR(7) /* "PaymentMethod" */ ,
  "ITEMSTOTAL" NUMERIC(15,4) /* "ItemsTotal" */ ,
  "TAXRATE" FLOAT /* "TaxRate" */ ,
  "FREIGHT" NUMERIC(15,4) /* "Freight" */ ,
  "AMOUNTPAID" NUMERIC(15,4) /* "AmountPaid" */
);

    /* Indexes for table "orders.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "ORDERS" ADD CONSTRAINT "ORDERS_PRIMARY" PRIMARY KEY ("ORDERNO");
    /* Found Index "CustNo", Options [] */
    CREATE INDEX "CUSTNO" ON "ORDERS" "CUSTNO";

/* Original table name is "parts.db" */
CREATE TABLE "PARTS" (
  "PARTNO" FLOAT NOT NULL /* "PartNo" */ ,
  "VENDORNO" FLOAT /* "VendorNo" */ ,
  "DESCRIPTION" VARCHAR(30) /* "Description" */ ,
  "ONHAND" FLOAT /* "OnHand" */ ,
  "ONORDER" FLOAT /* "OnOrder" */ ,
  "COST" NUMERIC(15,4) /* "Cost" */ ,
  "LISTPRICE" NUMERIC(15,4) /* "ListPrice" */
);

    /* Indexes for table "parts.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "PARTS" ADD CONSTRAINT "PARTS_PRIMARY" PRIMARY KEY ("PARTNO");
    /* Found Index "ByDescription", Options [ixCaseInsensitive] */
    /* !  Warning: Found Non-Supported Option ixCaseInsensitive For Index "ByDescription", Options [ixCaseInsensitive] */
    CREATE INDEX "BYDESCRIPTION" ON "PARTS" "DESCRIPTION";
    /* Found Index "VendorNo", Options [] */
    CREATE INDEX "VENDORNO" ON "PARTS" "VENDORNO";

/* Original table name is "reservat.db" */
CREATE TABLE "RESERVAT" (
  "RESNO" INTEGER NOT NULL /* "ResNo" */ ,
  "EVENTNO" INTEGER /* "EventNo" */ ,
  "CUSTNO" INTEGER /* "CustNo" */ ,
  "NUMTICKETS" INTEGER /* "NumTickets" */ ,
  "AMT_PAID" NUMERIC(15,4) /* "Amt_Paid" */ ,
  "PAY_METHOD" VARCHAR(10) /* "Pay_Method" */ ,
  "CARD_NO" VARCHAR(20) /* "Card_No" */ ,
  "CARD_EXP" DATE /* "Card_Exp" */ ,
  "PAY_NOTES" BLOB SUB_TYPE 1 /* "Pay_Notes" */ ,
  "PURGE_DATE" DATE /* "Purge_Date" */ ,
  "PAID" T_YESNO /* "Paid" */
);

    /* Indexes for table "reservat.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "RESERVAT" ADD CONSTRAINT "RESERVAT_PRIMARY" PRIMARY KEY ("RESNO");
    /* Found Index "CustNo", Options [] */
    /* !  Warning: Duplicated Index Name Found - CustNo , Replaced To "CUSTNO1" */
    CREATE INDEX "CUSTNO1" ON "RESERVAT" "CUSTNO";
    /* Found Index "EventNo", Options [] */
    CREATE INDEX "EVENTNO" ON "RESERVAT" "EVENTNO";

    /* Generators for AutoInc fields for table "reservat.db" */
    /* SELECT  max("reservat.db"."ResNo") FROM "reservat.db" */

    CREATE GENERATOR "GEN_RESERVAT_RESNO";
        SET GENERATOR "GEN_RESERVAT_RESNO" TO 108;

    SET TERM ^;
    CREATE TRIGGER "TRIG_RESERVAT_BI" FOR "RESERVAT" BEFORE INSERT
    AS BEGIN
      IF(NEW."RESNO" IS NULL) THEN NEW."RESNO" = GEN_ID("GEN_RESERVAT_RESNO",1);
    END ^
    SET TERM ;^

/* Original table name is "vendors.db" */
CREATE TABLE "VENDORS" (
  "VENDORNO" FLOAT NOT NULL /* "VendorNo" */ ,
  "VENDORNAME" VARCHAR(30) /* "VendorName" */ ,
  "ADDRESS1" VARCHAR(30) /* "Address1" */ ,
  "ADDRESS2" VARCHAR(30) /* "Address2" */ ,
  "CITY" VARCHAR(20) /* "City" */ ,
  "STATE" VARCHAR(20) /* "State" */ ,
  "ZIP" VARCHAR(10) /* "Zip" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */ ,
  "PHONE" VARCHAR(15) /* "Phone" */ ,
  "FAX" VARCHAR(15) /* "FAX" */ ,
  "PREFERRED" T_YESNO /* "Preferred" */
);

    /* Indexes for table "vendors.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "VENDORS" ADD CONSTRAINT "VENDORS_PRIMARY" PRIMARY KEY ("VENDORNO");

/* Original table name is "venues.db" */
CREATE TABLE "VENUES" (
  "VENUENO" INTEGER NOT NULL /* "VenueNo" */ ,
  "VENUE" VARCHAR(30) /* "Venue" */ ,
  "CAPACITY" INTEGER /* "Capacity" */ ,
  "VENUE_MAP" BLOB /* "Venue_Map" */ ,
  "REMARKS" BLOB SUB_TYPE 1 /* "Remarks" */
);

    /* Indexes for table "venues.db" */
    /* Found Index Primary Index For This Table, Options [ixPrimary,ixUnique] */
    ALTER TABLE "VENUES" ADD CONSTRAINT "VENUES_PRIMARY" PRIMARY KEY ("VENUENO");

    /* Generators for AutoInc fields for table "venues.db" */
    /* SELECT  max("venues.db"."VenueNo") FROM "venues.db" */

    CREATE GENERATOR "GEN_VENUES_VENUENO";
        SET GENERATOR "GEN_VENUES_VENUENO" TO 11;

    SET TERM ^;
    CREATE TRIGGER "TRIG_VENUES_BI" FOR "VENUES" BEFORE INSERT
    AS BEGIN
      IF(NEW."VENUENO" IS NULL) THEN NEW."VENUENO" = GEN_ID("GEN_VENUES_VENUENO",1);
    END ^
    SET TERM ;^

/* Referential Integrity Constraints */

    /* Found Referential Integrity Constraint RefOrders For Table items.db */
    ALTER TABLE "ITEMS" ADD CONSTRAINT "REFORDERS" FOREIGN KEY ("ORDERNO") REFERENCES "ORDERS" ("ORDERNO");
    /* Found Referential Integrity Constraint CheckPartNo For Table items.db */
    ALTER TABLE "ITEMS" ADD CONSTRAINT "CHECKPARTNO" FOREIGN KEY ("PARTNO") REFERENCES "PARTS" ("PARTNO");

    /* Found Referential Integrity Constraint RefCustinOrders For Table orders.db */
    ALTER TABLE "ORDERS" ADD CONSTRAINT "REFCUSTINORDERS" FOREIGN KEY ("CUSTNO") REFERENCES "CUSTOMER" ("CUSTNO");

    /* Found Referential Integrity Constraint CheckVendor For Table parts.db */
    ALTER TABLE "PARTS" ADD CONSTRAINT "CHECKVENDOR" FOREIGN KEY ("VENDORNO") REFERENCES "VENDORS" ("VENDORNO");



/* !  Warnings - 8 */
